Bug 1107966 (CVE-2014-4014) - CVE-2014-4014 Kernel: possible privilege escalation in user namespace
Summary: CVE-2014-4014 Kernel: possible privilege escalation in user namespace
Status: CLOSED ERRATA
Alias: CVE-2014-4014
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20140610,repo...
Keywords: Security
Depends On: 1109836 1109837
Blocks: 1107938
TreeView+ depends on / blocked
 
Reported: 2014-06-11 07:15 UTC by Prasad J Pandit
Modified: 2018-02-12 19:25 UTC (History)
34 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-10 08:14:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Prasad J Pandit 2014-06-11 07:15:28 UTC
Linux kernel built with the user namespaces(CONFIG_USER_NS) is vulnerable to a
potential privilege escalation flaw.

An unprivileged user/process could use this flaw to escalate their privileges
on a system.

Upstream fix:
-------------
  -> https://git.kernel.org/linus/23adbe12ef7d3d4195e80800ab36b37bee28cd03

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2014/06/10/4

Comment 2 Prasad J Pandit 2014-06-16 12:46:31 UTC
Statement:

This issue does not affect the versions of Linux kernel as shipped with Red Hat Enterprise Linux 5, 6, 7 and Red Hat Enterprise MRG 2.

Comment 3 Prasad J Pandit 2014-06-16 12:59:12 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1109836]

Comment 5 Fedora Update System 2014-06-18 22:25:39 UTC
kernel-3.14.8-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-06-22 23:55:03 UTC
kernel-3.14.8-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.